| Home | Libraries | People | FAQ | More

##### value_stack::push_chars

Push part of a key or string onto the stack.

###### Synopsis

    void
    push_chars(
        string_view s);

###### Description

This function pushes the characters in `s` onto the stack, appending to any existing characters or creating new characters as needed. Once a string part is placed onto the stack, the only valid stack operations are:

- `push_chars` to append additional characters to the key or string being built,
- `push_key` or `push_string` to finish building the key or string and place the value onto the stack.

###### Exception Safety

Basic guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`s` | The characters to append. This may be empty.